%define fontname        asana-math
%define fontdir         %{_datadir}/fonts/%{fontname}
%define fontconfdir     %{_sysconfdir}/fonts/conf.d

Name:           %{fontname}-fonts
Version:        0.914
Release:        1%{?dist}
Summary:        An OpenType font with a MATH table

Group:          User Interface/X
License:        OFL
URL:            http://openfontlibrary.org/media/files/asyropoulos/219
Source0:        http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Asana_Math.otf
Source1:        %{name}-fontconfig.conf
Source2:	README.license
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%description
An OpenType font with a MATH table that can be used with XeTeX to typeset math
content


%prep
cp %{SOURCE2} $RPM_BUILD_DIR


%build


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{fontdir}
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{fontdir}/asana-math.otf

install -dm 755 $RPM_BUILD_ROOT%{fontconfdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{fontconfdir}/63-%{fontname}.conf


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi

%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache -f %{fontdir} || :
fi


%files
%defattr(644,root,root,755)
%doc README.license
%config(noreplace) %{fontconfdir}/63-%{fontname}.conf
%dir %{fontdir}/
%{fontdir}/*.otf


%changelog
* Sun Jul 13 2008 Jon Stanley <jonstanley@gmail.com> - 0.914-1
- Change version
- Include license readme
- Fix fontconfig file

* Sat Jul 12 2008 Jon Stanley <jonstanley@gmail.com> - 20080120-1
- Initial package

